Bug 861803 - Unable to start xorg with gma500/intel gma3600
Unable to start xorg with gma500/intel gma3600
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-30 16:44 EDT by Dave Kline
Modified: 2014-05-28 05:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-04 14:15:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
cat dmesg startx Xorg.0.log > combined (79.37 KB, application/octet-stream)
2012-09-30 16:49 EDT, Dave Kline
no flags Details

  None (edit)
Description Dave Kline 2012-09-30 16:44:23 EDT
Description of problem:

Hello, startx and telinit 5 will not start a graphical environment with my "Intel Graphics Media Accelerator 3600"-based netbook (Gateway LT4004u). This is Fedora 18, fully updated.

If I run startx, I can see a backtrace.

Version-Release number of selected component (if applicable):


Steps to Reproduce:

1.  Attempt graphical boot or run startx from a terminal
Actual results:

Blank screen for booting into xorg, and a stack trace for startx. 

Expected results:

Pretty graphics.

Additional info:

Framebuffer console works properly.  The delightful fbida package properly displays images, etc. 

lspci -nnv: 

00:02.0 VGA compatible controller [0300]: Intel Corporation Atom Processor D2xxx/N2xxx Integrated Graphics Controller [8086:0be1] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device [1025:0624]
	Flags: bus master, fast devsel, latency 0, IRQ 44
	Memory at 46000000 (32-bit, non-prefetchable) [size=1M]
	I/O ports at 50d0 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [d0] Power Management version 2
	Capabilities: [b0] Vendor Specific Information: Len=07 <?>
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Kernel driver in use: gma500

Also attaching logs.
Comment 1 Dave Kline 2012-09-30 16:49:44 EDT
Created attachment 619510 [details]
cat dmesg startx Xorg.0.log > combined

Original submission didn't like my pasted logs, attaching instead.
Comment 2 Dave Kline 2012-11-16 10:19:05 EST
As a quick update, I've updated kernel and xorg packages through the course of F18 to no avail.  Nightlie ISO's also don't start xorg.  

Some good news: I can now run Fedora 17 fully updated on the same hardware.  I may have been bitten by this bug, which is resolved for F17: https://bugzilla.redhat.com/show_bug.cgi?id=849475
Comment 3 Dave Kline 2012-12-20 09:27:06 EST
It appears xorg-x11-drv-intel-2.20.14-1.fc18.x86_64 may fix my issue.  I booted from the live destop beta and updated the package which then allowed me to start xorg. Currently trying xorg-x11-drv-intel-2.20.16-1.fc18.x86_64.
Comment 4 Dave Kline 2012-12-20 09:32:49 EST
xorg-x11-drv-intel-2.20.16-1.fc18.x86_64 appears fine. Looks like more current versions of the package fix the issue.
Comment 5 Dave Kline 2013-01-04 14:15:40 EST
Newer versions of the driver fix the issue. Closing.

Note You need to log in before you can comment on or make changes to this bug.